Name:           perl-Class-Gomor
Version:        1.03
Release:        3%{?dist}
Summary:        another class and object builder

Group:          Development/Libraries
License:        Artistic
URL:            http://search.cpan.org/~gomor/Class-Gomor-%{version}/
Source0:        http://search.cpan.org/CPAN/authors/id/G/GO/GOMOR/Class-Gomor-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Test::More)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%{?perl_default_filter}

%description
This module is yet another class builder. This one adds parameter checking in new constructor, that is to check for attributes existence, and definedness.

%prep
%setup -q -n Class-Gomor-%{version}


%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{!?_licensedir:%global license %%doc}
%license LICENSE*
%{perl_vendorlib}/Class/Gomor*
%{_mandir}/man3/*

%changelog
* Fri Jul 24 2015 momo-i <webmaster@momo-i.org> - 1.03-2
- Update to 1.03

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 1.02-2
- Rebuilt for fc22

* Wed Mar  6 2013 momo-i <webmaster@momo-i.org> 1.02-1
- Initial rpm release.
